=== debian/changelog ===
libuemf (0.2.8+ds-4) unstable; urgency=medium

  * Configure with -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1113211)

 -- Andrius Merkys <merkys@debian.org>  Fri, 03 Oct 2025 03:59:55 -0400

libuemf (0.2.8+ds-3) unstable; urgency=medium

  * Linking libuemf.so with -lm (Closes: #992549).

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Sep 2021 02:16:07 -0400

libuemf (0.2.8+ds-2) unstable; urgency=medium

  * Transferring to Debian Multimedia Team.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Aug 2021 06:06:24 -0400

libuemf (0.2.8+ds-1) unstable; urgency=medium

  * Initial release (Closes: #987002)

 -- Andrius Merkys <merkys@debian.org>  Thu, 15 Apr 2021 04:14:32 -0400
