=== debian/control ===
Source: libuemf
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
Standards-Version: 4.5.1
Section: libs
Homepage: https://sourceforge.net/projects/libuemf/
Vcs-Browser: https://salsa.debian.org/multimedia-team/libuemf
Vcs-Git: https://salsa.debian.org/multimedia-team/libuemf.git
Rules-Requires-Root: no

Package: libuemf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libuemf0 (= ${binary:Version}),
 ${misc:Depends},
Description: Read/write EMF, EMF+, WMF files (development files)
 libUEMF is a portable C99 implementation for reading/writing Enhanced Metafile
 (EMF), Enhanced Metafile Format Plus (PMF), and Windows Metafile (WMF) files.
 libUEMF avoids collisions with Microsoft defined functions and values, so
 portable programs which use it and have a Windows version, do not require any
 conditional logic to separate the native GDI support from the WMF/EMF/PMF
 support provided by libUEMF. To accomplish this libUEMF does not implement GDI
 calls. Instead, for each WMR/EMR/PMR record type, and each object type
 incorporated into such a record, it provides corresponding *_set, *_print, and
 *_swap functions. For PMF and WMF there are also *_get functions, see below.
 For example, for the U_EMRBITBLT record there are corresponding functions:
 U_EMRBITBLT_set, U_EMRBITBLT_print, and U_EMRBITBLT_swap. A few additional
 functions are provided for assembling the EMF in memory, debugging, and
 converting the EMF file to/from Little Endian representation. (EMF files'
 internal data representation is always Little Endian.)
 .
 This package contains the development files.

Package: libuemf0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Read/write EMF, EMF+, WMF files (shared library)
 libUEMF is a portable C99 implementation for reading/writing Enhanced Metafile
 (EMF), Enhanced Metafile Format Plus (PMF), and Windows Metafile (WMF) files.
 libUEMF avoids collisions with Microsoft defined functions and values, so
 portable programs which use it and have a Windows version, do not require any
 conditional logic to separate the native GDI support from the WMF/EMF/PMF
 support provided by libUEMF. To accomplish this libUEMF does not implement GDI
 calls. Instead, for each WMR/EMR/PMR record type, and each object type
 incorporated into such a record, it provides corresponding *_set, *_print, and
 *_swap functions. For PMF and WMF there are also *_get functions, see below.
 For example, for the U_EMRBITBLT record there are corresponding functions:
 U_EMRBITBLT_set, U_EMRBITBLT_print, and U_EMRBITBLT_swap. A few additional
 functions are provided for assembling the EMF in memory, debugging, and
 converting the EMF file to/from Little Endian representation. (EMF files'
 internal data representation is always Little Endian.)
