=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,dversionmangle=auto" \
 http://sf.net/libuemf/libUEMF-(.+)\.tar\.gz
